# Summary
* [Introduction](intro.md)
    * [Threat Model](threat-model.md)
    * [Selecting a Quorum](selecting-quorum.md)
    * [System Roles](system-roles.md)
    * [Software](software.md)
    * [Location](locations.md)
    * [Glossary](glossary.md)
* [Generated Documents]()
    * [Level 2]()
        * [Fixed-Location]()
            * [Provisioner](generated-documents/level-2/fixed-location/provisioner/index.md)
                * [Bootstrapping PGP Keys + Air-Gapped Bundle](generated-documents/level-2/fixed-location/provisioner/pgp-key-bootstrapping.md)
                * [Provision Computer](generated-documents/level-2/fixed-location/provisioner/provision-computer.md)
                * [Provision Ceremony Repository](generated-documents/level-2/fixed-location/provisioner/provision-ceremonies-repository.md)
                * [Provision SD Card](generated-documents/level-2/fixed-location/provisioner/provision-sd-card.md)
                * [Provision Tamper Proofing Equipment](generated-documents/level-2/fixed-location/provisioner/provision-tamper-proofing-equipment.md)
                * [Provision AirgapOS](generated-documents/level-2/fixed-location/provisioner/provision-airgapos.md)
                * [Provision Facility](generated-documents/level-2/fixed-location/provisioner/provision-facility.md)
                * [Provision Airgapped Bundle](generated-documents/level-2/fixed-location/provisioner/provision-air-gapped-bundle.md)
                * [Copy Shardfile SD Card](generated-documents/level-2/fixed-location/provisioner/copy-shardfile-sd-card.md)
            * [Proposer](system-roles.md)
                * [Propose Transaction](generated-documents/level-2/fixed-location/proposer/create-transaction-payload.md)
            * [Approver](system-roles.md)
                * [Transaction Approval](generated-documents/level-2/fixed-location/approver/approve-transaction.md)
            * [Operator](system-roles.md)
                * [PGP Key Provisioning](generated-documents/level-2/fixed-location/operator/pgp-key-provisioning.md)
                * [Root Entropy Generation](generated-documents/level-2/fixed-location/operator/root-entropy-generation.md)
                * [PYTH-SLN - Sign Transaction](generated-documents/level-2/fixed-location/operator/coins/pyth-spl/sign-transaction.md)
* [Document Components]()
    * [Ceremony Repository](./component-documents/ceremony-repository.md)
    * [Keychain Repository](./component-documents/keychain-repository.md)
    * [Git Commit Signing](./component-documents/git-commit-signing.md)
    * [OpenPGP Setup](./component-documents/openpgp-setup.md)
    * [Verifying Signatures](./component-documents/verifying-signatures.md)
    * [Tamper Evidence Methods](./component-documents/tamper-evidence-methods.md)
    * [Change Smart Card PINs](./component-documents/setting-smart-card-pins.md)
    * [Online Machine Provisioning](./component-documents/online-machine-provisioning.md)
    * [Hardware Destruction](./component-documents/hardware-destruction.md)
    * [Storage Device Management](./component-documents/storage-device-management.md)
    * [Procurement & Chain of Custody](./component-documents/hardware-procurement-and-chain-of-custody.md)
    * [Online Artifact Storage](./component-documents/public-ceremony-artifact-storage.md)
    * [Physical Artifact Storage](./component-documents/physical-artifact-storage.md)
    * [`autorun.sh` Setup](./component-documents/autorun-sh-setup.md)
    * [Hardware Models](./component-documents/hardware-models.md)