/* ANCHOR: all */
# Git Commit Signing
// ANCHOR: steps
1. Retrieve the value of your PGP key ID by using:

    `gpg --list-keys`

1. Set up local `.gitconfig` file with desired PGP key:
    ```
    [user]
        name = <name>
        email = <email>
        signingKey = <pgp_key_id> 

    [commit]
        gpgsign = true
        merge = true
    [core]
        editor = "code --wait"
    ```

1. Set up environment variables for using smart cards

    Open the `~/.bashrc` file and add the following content at the end:

    ```bash
    if [ "${gnupg_SSH_AUTH_SOCK_by:-0}" -ne $$ ]; then
        export SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket)"
    fi

    GPG_TTY=$(tty)
    export GPG_TTY
    ```
// ANCHOR_END: steps
/* ANCHOR: all */
