/* ANCHOR: all */
# Keychain Repository
// ANCHOR: content
This repository contains the trusted keys for the organization.

## Directives

* MUST be a private repository

* MUST require signed commits

## Repository Structure
```
trusted-keys/
    proposers/
        <key_id>/
            pub.asc
            sig_1.asc
            sig_2.asc
    approvers/
    operators/
```

## Procedure: Setting up Repository

{{ #include ./git-repository-initialization.md:procedure }}

## Procedure: Adding OpenPGP Keys 

1. Designate the role of the key - it should be placed into the corresponding role directory

1. Open a PR submitting the key to the repository

    * MUST be via commit signed by the PGP key being submitted to the repository

1. Two other authorized individuals (TODO define how they are authorized) must provide detached PGP signatures of the key being submitted

1. The PR should be merged using a signed commit via the git CLI

### Procedure: Ceremony "Keychain SD Card"

This procedure requires 2 individuals in order to witness the process and verify that the data being burned to the card is correct.

The Keychain SD Card once provisioned will be used in creating the [tamper proofed airgap bundle](#air-gapped-bundle)

1. Get a freshly formatted SD card 

1. Plug it into a computer

1. Navigate the the official Keychain repository of your organization

1. Select provisioner and approver keys from the Keychain repository

1. Download the desired keys along with detached signatures

1. Copy the `.asc` and signature files to the SD card

1. Use the `sdtool` to lock the card

{{ #include ../sdtool-instructions.md:steps }}

1. Label the card "Keychain <date>"

// ANCHOR_END: content
/* ANCHOR_END: all */
