# Approver - Approve Transaction

The approver is responsible for verifying a transaction proposed by a [proposer](../../../../system-roles.md).

## Requirements

* If necessary, provision a PGP key pair to a smart card using the guide in the [Appendix: Generating PGP Keypair & Provisioning Smart Card](#generating-pgp-keypair--provisioning-smart-card)

* Ensure that the computer is configured to sign commits with the desired key. Refer to the [Appendix: Git Commit Signing Configuration](#git-commit-signing-configuration)

* Clone the [Ceremonies Repository](../provisioner/provision-ceremonies-repository.md) for your organization to the machine

## Procedure

1. Pull the latest changes from the `ceremonies` repository

1. Verify the PGP key of the Proposer is valid

1. Verify that the commit with the tx data is properly signed by the key that was verified in the previous step

1. Verify that the transaction is according to the defined policy, for the time being ensuring it's signed by safe-listed PGP keys (TODO: update this with a proper policy post-MVP) 

1. To sign the transaction payload and produce a detached signature use:

    * `gpg --armor --output <approver.sig> --detach-sig <filename>`

1. Commit the detached signature alongside the tx  

## Appendix

### Git Commit Signing Configuration

{{ #include ../../../../component-documents/git-commit-signing.md:steps }}

### Generating PGP Keypair & Provisioning Smart Card

{{ #include ../../../../component-documents/openpgp-setup.md:steps-keyfork }}
