# Root Entropy Generation

This is a ceremony for generating root entropy.

## Requirements

* Ensure both primary operators have their [Operator Keys](../../pgp-key-provisioning.md)

* Both operators should print photographic evidence from digital cameras which is stored in a PGP signed repository. The photographs should be of the top and underside of the vacuum sealed object.

    * The operators should verify the commit signatures of the photographs they are printing against a list of permitted PGP keys

        - [ ] TODO: where do we refer to permitted PGP keys

* Each operator should hash the `keychain` repository
    - [ ] TODO define keychain repository setup

    * `sha256sum keychain/`

    * Write it down on a piece of paper as it will be used during the ceremony

* Each member needs to bring their:

    * Ceremony Notes

* Ceremony SD Card
    - [ ] TODO explain what this is

## Procedure 

1. Enter the designated location with the 2 operators and all required equipment

1. Lock access to the location - there should be no inflow or outflow of people during the ceremony

1. Retrieve sealed laptop and polaroid from locked storage

### Unsealing Tamper Proofing
{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-unsealing}}

### Generating Entropy
1. Boot AirgapOS on the airgapped machine

1. Verify the hash of the AirgapOS version once it's booted

1. Run `ceremony.sh`

1. Button mash to ensure adequate entropy on the OS

1. Back up the `shardfile`, and `pub.asc` to at least 2 separate SD cards

### Finalizing Ceremony

1. Seal the airgapped bundle (TODO)